import { Injectable } from '@angular/core';
import { HttpClient, HttpErrorResponse } from '@angular/common/http';
import { Observable, catchError, throwError} from 'rxjs';
import { handleError } from '../../utils/api-error-handler.utils';
import { environment } from '../../../../evironments/environment';

@Injectable({
  providedIn: 'root'
})
export class RecipesService {

  private apiUrl = environment.apiUrl + '/api/Recipes';

  constructor(private http: HttpClient) {}

  getRecipes(): Observable<any> {
    return this.http.get<any>(this.apiUrl).pipe(catchError(handleError));
  }

  getRecipeById(id: any): Observable<any> {
    return this.http.get<any>(`${this.apiUrl}/${id}`).pipe(catchError(handleError));
  }
  createRecipe(recipe: any): Observable<any> {
    return this.http.post<any>(this.apiUrl, recipe).pipe(catchError(handleError));
  }

  updateRecipe(recipe: any): Observable<any> {
    return this.http.put<any>(this.apiUrl, recipe).pipe(catchError(handleError));
  }

  deleteRecipe(id: any): Observable<any> {
    return this.http.delete<any>(`${this.apiUrl}/${id}`).pipe(catchError(handleError));
  }

}
